Vulnerability CVE-2013-7388


Published: 2014-07-01

Description:
Heap-based buffer overflow in paintlib, as used in Trimble SketchUp (formerly Google SketchUp) before 2013 (13.0.3689), allows remote attackers to execute arbitrary code via a crafted RLE4-compressed bitmap (BMP). NOTE: this issue was SPLIT from CVE-2013-3664 due to different affected products and codebases (ADT1).

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:M/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
9.3/10
10/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Trimble -> Sketchup 
Google -> Sketchup 

 References:
http://xforce.iss.net/xforce/xfdb/84723
http://www.securityfocus.com/bid/60248
http://www.binamuse.com/advisories/BINA-20130521B.txt
http://secunia.com/advisories/53635
http://blog.binamuse.com/2013/05/multiple-vulnerabilities-on-sketchup.html

Copyright 2020, cxsecurity.com

 

Back to Top